Bug 45457 - app self-service passwordreset - no feedback pop up on "Successfully changed your password"
app self-service passwordreset - no feedback pop up on "Successfully changed ...
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Self Service
UCS 4.2
Other Linux
: P5 minor with 3 votes (vote)
: UCS 4.2-3-errata
Assigned To: Florian Best
Felix Botner
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-09-26 16:48 CEST by Daniel Orrego
Modified: 2017-12-06 15:40 CET (History)
6 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 2: Improvement: Would be a product improvement
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.046
Enterprise Customer affected?: Yes
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number: 2017092521000643, 2017110721000235
Bug group (optional): Error handling, External feedback, Usability
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Orrego univentionstaff 2017-09-26 16:48:58 CEST
No feedback message is shown when resetting the password via "Password forgotten" link in the self-service module (passwordreset)

When a password is successfully set, the browser simply redirects back to the portal without any feedback. But the logs do contain the success message:
----
#grep PROCESS /var/log/univention/management-console-module-passwordreset.log
07.09.17 19:00:14.418  MODULE      ( PROCESS ) : Sent mail with token to address <EDITED>
07.09.17 19:00:14.419  MODULE      ( PROCESS ) : Successfully send token.
<EDITED>
07.09.17 19:04:28.865  MODULE      ( PROCESS ) : Successfully changed your password.
---- 


* In contrast, a pop up is shown on error (false token) with the last message in this log:
----
#grep PROCESS /var/log/univention/management-console-module-passwordreset.log
07.09.17 19:09:12.892  MODULE      ( PROCESS ) : Sent mail with token to address <EDITED>.
07.09.17 19:09:12.892  MODULE      ( PROCESS ) : Successfully send token.
<EDITED>
07.09.17 19:18:47.435  MODULE      ( PROCESS ) : The token you supplied is either expired or invalid. Please request a new one
----
Comment 1 Florian Best univentionstaff 2017-11-24 16:01:17 CET
It's a regression from Bug #43658, which caused that in the self-service, portal and server overview no notifications are shown anymore. I fixed the self service here.

Patch available in branch fbest/45457-self-service-success-notifications.
Comment 2 Florian Best univentionstaff 2017-11-28 17:54:52 CET
univention-self-service.yaml
597423322d57 | Bug #45457: Merge branch 'fbest/45457-self-service-success-notifications' into 4.2-3
ec91793fd73f | YAML Bug #45457

univention-self-service (2.0.16-9)
597423322d57 | Bug #45457: Merge branch 'fbest/45457-self-service-success-notifications' into 4.2-3
212fddc22639 | Bug #45457: fix success notifications
Comment 3 Benjamin Haberhauer univentionstaff 2017-11-29 11:55:13 CET
A fix was requested by a Enterprise Subscription customer.
Comment 4 Felix Botner univentionstaff 2017-11-30 12:09:29 CET
i can't sea a notification, tested in ff and chrome?
Comment 5 Florian Best univentionstaff 2017-11-30 14:27:53 CET
Yes, the redirection was done immediately. Now a confirmation dialog is shown and the redirection is done after the user confirmed it.

univention-self-service (2.0.17-14)
c78e0170c9c0 | Bug #45457: display a confirmation dialog before redirecting
Comment 6 Felix Botner univentionstaff 2017-11-30 17:05:01 CET
OK - the double whopper mode now, dialog and notifications
OK - YAML
Comment 7 Arvid Requate univentionstaff 2017-12-06 15:40:20 CET
<http://errata.software-univention.de/ucs/4.2/237.html>